> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial Update

> Update the role for OrganizationMember.

If role is COLLABORATOR we expect portfolios to be given.
Will replace to portfolio access grant records. if portfolios are given.



## OpenAPI

````yaml api-reference/openapi.yaml patch /api/v1/organization_members/{id}/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/organization_members/{id}/:
    patch:
      tags:
        - Organization Members
      summary: Partial Update
      description: |-
        Update the role for OrganizationMember.

        If role is COLLABORATOR we expect portfolios to be given.
        Will replace to portfolio access grant records. if portfolios are given.
      operationId: organization_members_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this organization member.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedOrganizationMember'
            examples:
              ChangeARoleToCollaborator:
                value:
                  role: '1'
                  accessible_portfolios:
                    - 6c58243e-f4ce-4295-abd8-d7d6df94996d
                    - 9e1086df-87f7-48ca-9fed-a54eb878ff0c
                summary: Change a role to collaborator
              DisableAMember'sAccess:
                value:
                  is_active: false
                summary: Disable a member's access
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationMember'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PatchedOrganizationMember:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        role:
          allOf:
            - $ref: '#/components/schemas/RoleEnum'
          minimum: -2147483648
          maximum: 2147483647
        is_active:
          type: boolean
        user_id:
          type: string
          format: uuid
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        organization:
          $ref: '#/components/schemas/Organization'
        accessible_portfolios:
          type: array
          items:
            $ref: '#/components/schemas/Portfolio'
          readOnly: true
        originator:
          type: boolean
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
    OrganizationMember:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
      required:
        - email
        - first_name
        - id
        - last_name
    RoleEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - member
        * `1` - collaborator
        * `2` - administrator
    Organization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - id
    Portfolio:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
      required:
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````